RagTime5ClusterManager::ClusterScript Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
RagTime5ClusterManager::ClusterScript Struct Referencefinal

the cluster script ( 2/a/4002/400a zone) More...

`#include <RagTime5ClusterManager.hxx>`

Inheritance diagram for RagTime5ClusterManager::ClusterScript:

## Public Member Functions
| ClusterScript ()
| constructor More...
| ~ClusterScript () final
| destructor More...
Public Member Functions inherited from RagTime5ClusterManager::Cluster
| Cluster (Type type)
| constructor More...
virtual | ~Cluster ()
| destructor More...

## Public Attributes
Link | m_scriptComment
| the script comment zone More...
librevenge::RVNGString | m_scriptName
| the scriptname if known More...
Public Attributes inherited from RagTime5ClusterManager::Cluster
Type | m_type
| the cluster type More...
int | m_zoneId
| the zone id More...
bool | m_hiLoEndian
| the cluster hiLo endian More...
librevenge::RVNGString | m_name
| the cluster name (if know) More...
Link | m_dataLink
| the main data link More...
Link | m_nameLink
| the name link More...
Link | m_fieldClusterLink
| the field cluster links (def and pos) More...
std::vector< Link > | m_conditionFormulaLinks
| the conditions formula links More...
std::vector< Link > | m_settingLinks
| the settings links More...
std::vector< Link > | m_linksList
| the link list More...
std::vector< int > | m_clusterIdsList
| the cluster ids More...
bool | m_isSent
| true if the cluster was send More...

## Additional Inherited Members
Public Types inherited from RagTime5ClusterManager::Cluster
enum | Type { C_ColorPattern, C_Fields, C_Layout, C_Pipeline, C_Root, C_ClusterGProp, C_Script, C_ChartZone, C_GraphicZone, C_PictureZone, C_SpreadsheetZone, C_TextZone, C_ColorStyles, C_FormatStyles, C_GraphicStyles, C_TextStyles, C_UnitStyles, C_ClusterC, C_Empty, C_Unknown }
| the cluster type More...

## Detailed Description

the cluster script ( 2/a/4002/400a zone)

## Constructor & Destructor Documentation

## ◆ ClusterScript()

RagTime5ClusterManager::ClusterScript::ClusterScript | ( |  | ) |
| inline

constructor

## ◆ ~ClusterScript()

RagTime5ClusterManager::ClusterScript::~ClusterScript | ( |  | ) |
| final

destructor

## Member Data Documentation

## ◆ m_scriptComment

Link RagTime5ClusterManager::ClusterScript::m_scriptComment

the script comment zone

Referenced by RagTime5Parser::readClusterScriptData().

## ◆ m_scriptName

librevenge::RVNGString RagTime5ClusterManager::ClusterScript::m_scriptName

the scriptname if known

The documentation for this struct was generated from the following files:

- RagTime5ClusterManager.hxx
- RagTime5ClusterManager.cxx